Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# AnyTypeCode_Adapter_Impl.cpp File Reference

`#include "tao/AnyTypeCode/AnyTypeCode_Adapter_Impl.h"`
`#include "tao/AnyTypeCode/SystemExceptionA.h"`
`#include "tao/AnyTypeCode/WrongTransactionA.h"`
`#include "tao/AnyTypeCode/PolicyA.h"`
`#include "tao/AnyTypeCode/Any.h"`

Include dependency graph for AnyTypeCode_Adapter_Impl.cpp:

## Defines
#define | STANDARD_EXCEPTION_LIST
#define | TAO_SYSTEM_EXCEPTION(name)

## Define Documentation

#define STANDARD_EXCEPTION_LIST

#define TAO_SYSTEM_EXCEPTION | ( | name |  | ) |

| Value:
    CORBA::TypeCode_ptr \
    TAO_AnyTypeCode_Adapter_Impl::_tao_type_ ## name (void) const \
    { \
      return CORBA::_tc_ ## name; \
    }